# The public key a page passes to pushManager.subscribe as applicationServerKey

`GET /notify/push/key` · Rivier · campaigns

The public key a page passes to pushManager.subscribe as applicationServerKey.

- Scope: campaigns:read
- Mcp: rivier_notify_push_key
- Graphql: Query.campaignsNotifyPushKey
- Sdk: campaigns.notifyPush.key
- Cli: campaigns notify push key

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/notify/push/key' \
  -H 'Authorization: Bearer $KEY'
```
